Page MenuHomePhabricator

E shelves & window maximizing issue
Closed, ResolvedPublic

Description

I have a 2 screens setup, both with a shelf. Maximizing windows does not work on the secondary screen, but it works fine on the primary screen.
By not work, I mean the windows get maximed to fit the entire screen size, and the shelf is then overlapping the window.
The shelf is "above everything", "not shrinking", on the bottom edje.

jpeg created this task.Mar 31 2016, 9:42 PM
zmike added a comment.Apr 1 2016, 1:11 PM

Would be helpful if you could send me your profile.

zmike added a comment.Apr 1 2016, 1:30 PM

I resolved a couple issues related to maximizing and shelves but nothing matching your description.

jpeg added a comment.Apr 3 2016, 8:15 PM

Hey mike, thanks for looking at this! I started off with a clean profile (deleted ~/.e and even ~/.elementary), updated E from git, but the issue remains.


You can see on the picture that the shelf on the left doesn't overlap with the windows while the one on the right overlaps. It shouldn't. It also doesn't matter where the shelf is located, or its contents. Left is primary screen, right is secondary screen. Shelves are not auto-hidden.

jpeg added a comment.Apr 7 2016, 3:00 AM

It looks like there is still a small problem with new windows. They tend to be placed below the shelf.
In the hand edited screenshot below you can see that a new window is aligned to be bottom of the screen, and slides below the shelf. It should be entirely above the shelf, unless I move it myself.


OTOH, maximizing seems to work.

jpeg added a comment.Apr 11 2016, 8:38 PM

Thanks, but it still seems to not work on the secondary screen. Primary screen is fine.
IOW new windows on screen 1 never appear below the shelf; On screen 2, new windows may be overlapped by the shelf.
It doesn't seem to actually matter whether there is a window that's maximized:



You can see the last terminals on screen 2 are below the shelf, but on screen 1 they are above.

FYI this code is the evas_map of enlightenment (possibly even worse) and I hate you for making me work on it again.

jpeg added a comment.Apr 13 2016, 6:53 PM

Well I love you for working on it since it now seems completely fixed! :)